import ij.*;
import ij.plugin.PlugIn;

/** This is a version of "Clear Outside" that works with stacks. */
public class ClearOutside_  implements PlugIn {

	public void run(String arg) {
		if (IJ.versionLessThan("1.19b"))
			return;
		ImagePlus img = WindowManager.getCurrentImage();
		if (img==null ||img.getRoi()==null) {
			IJ.error("Image with selection required");
			return;
		} else for (int i=1; i<=img.getStackSize(); i++) {
			img.setSlice(i);
			IJ.run("Clear Outside");
		}
	 }

}

